Skip to main content
GET
/
directory
/
attributes
/
{attribute}
Describe an Attribute
curl --request GET \
  --url https://wks-a1b2c3d4.provisionr.io/api/v1/directory/attributes/{attribute} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "state": "staged",
  "type": "integration",
  "name": "<string>",
  "handle": "<string>",
  "blueprint_signature": "<string>",
  "profile_value": "<string>",
  "timestamp": {
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "activated_at": "2023-11-07T05:31:56Z",
    "expires_at": "2023-11-07T05:31:56Z",
    "deleted_at": "2023-11-07T05:31:56Z"
  },
  "count": {
    "attribute_conditions": 123,
    "attribute_predecessors": 123,
    "policy_rules": 123,
    "manifest_users": 123,
    "qualified_users": 123,
    "staged_users": 123,
    "workspace_logs_parent": 123,
    "workspace_logs_record": 123,
    "workspace_logs_related": 123
  },
  "included": [
    "<string>"
  ],
  "links": {
    "self": "<string>",
    "attribute_conditions": "<string>",
    "directory_dimension": "<string>",
    "workspace_integration": "<string>",
    "policy_ruleset": "<string>",
    "policy_rules": "<string>",
    "manifest_users": "<string>",
    "qualified_users": "<string>",
    "staged_users": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.provisionr.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

attribute
string
required

Directory Attribute ID

Response

DirectoryAttributeDetailedResponseData

id
string
required
Example:

"dratr_01hq8xyzabc123def456ghi789"

state
enum<string>
required

The state of the directory attribute

staged
The record is staged and is only visible to administrators or in the API. Use the activate method during your change window.
active
The record is active.
expiring
The expires_at value is set in the future for the record. You can run the activate action to remove the scheduled expiration.
expired
The expires_at value is in the past and the record was deactivated.
deactivated
The record was deactivated manually by an administrator.
Available options:
staged,
active,
expiring,
expired,
deactivated
Example:

"active"

type
enum<string>
required

The type of the directory attribute

integration
The attribute was imported by the Workspace Integration when attributes_enabled is enabled for a Directory Dimension
ruleset
The custom attribute was created by an administrator to define a reusable set of rules and conditions
catch
The attribute is designed as a catch all for a dimension for users that don't meet the criteria (ex. Unknown)
Available options:
integration,
ruleset,
catch
Example:

"integration"

name
string
required

The name of the attribute

Example:

"Engineering"

handle
string
required

The handle of the attribute

Example:

"eng"

blueprint_signature
string | null
required

If this Attribute is generated from a Blueprint, this is the signature of the blueprint when it is created. This allows tracking of which attributes were created from which blueprint version, while allowing the handle and name to be renamed to a more descriptive name based on business needs

Examples:

"{blueprint_id_last4}-{dimension_id}-{attribute_id}-{ref_id}"

"bbbb-dddd-aaaa-rrrr"

profile_value
string | null
required

The raw value of the attribute from the Vendor API

Example:

"Engineering"

timestamp
TimestampStateData · object
required

The timestamps for the attribute record

count
object
required

Counts of related resources

included
string[]
required

Included related resources.

attribute_successor: DirectoryAttributeSummaryResponseData|null, attribute_predecessors: array|null workspace_integration: WorkspaceIntegrationSummaryResponseData|null, directory_dimension: DirectoryDimensionSummaryResponseData|null, policy_ruleset: PolicyRulesetSummaryResponseData|null, policy_rules: array|null, }

API hyperlinks related to the attribute record